'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Badge = exports.BadgeColors = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Badge color enumerable.
 *
 * @type {{INFO: string, SECONDARY: string, SUCCESS: string, WARNING: string, ALERT: string}}
 */
var BadgeColors = exports.BadgeColors = {
  INFO: 'info',
  SECONDARY: 'secondary',
  SUCCESS: 'success',
  WARNING: 'warning',
  ALERT: 'alert'
};

/**
 * Badge component.
 * http://foundation.zurb.com/sites/docs/badge.html
 *
 * @param {Object} props
 * @returns {JSX}
 */
var Badge = exports.Badge = function Badge(props) {
  return _react2.default.createElement('span', _extends({}, (0, _utils.removeProps)(props, ['color']), {
    className: (0, _utils.createClassName)(props.className || 'badge', props.color, (0, _utils.generalClassNames)(props)) }));
};

Badge.propTypes = _extends({
  color: _react.PropTypes.oneOf((0, _utils.objectValues)(BadgeColors))
}, _utils.GeneralPropTypes);